## vrf 1.0-cl4.3.1u4

=== Makefile ===
#
# Copyright 2017 Cumulus Networks, Inc. All rights reserved.
#
# Author: David Ahern, dsa@cumulusnetworks.com

MAKEFLAGS += --no-print-directory

SUBDIRS=lib-vrf src

all:
	@set -e; \
	for i in $(SUBDIRS); do \
	    echo; echo $$i; $(MAKE) -C $$i; \
	done

clean:
	@set -e; \
	for i in $(SUBDIRS); do \
	    echo; echo $$i; $(MAKE) -C $$i clean; \
	done

distclean: clean

=== lib-vrf/Makefile ===
#
# Copyright 2017 Cumulus Networks, Inc. All rights reserved.
#
# Author: David Ahern, dsa@cumulusnetworks.com

CFLAGS = -Wall -I/usr/include/libnl3
LDFLAGS = -lnl-route-3 -lnl-3

vrf-dns-helper: vrf-dns-helper.o
	$(CC) $(CFLAGS) $(EXTRA_CFLAGS) $(LDFLAGS) -o $@ $^

%.o: %.c
	$(CC) $(CFLAGS) $(EXTRA_CFLAGS) -c -o $@ $<

clean:
	rm -f vrf-dns-helper vrf-dns-helper.o

distclean: clean

=== src/Makefile ===
#
# Copyright 2018 Cumulus Networks, Inc. All rights reserved.
#
# Author: David Ahern, dsa@cumulusnetworks.com

CFLAGS += -Wall -Werror

runvrf: runvrf.c
	$(CC) $(CFLAGS) $(EXTRA_CFLAGS) $(LDFLAGS) -o $@ $^

%.o: %.c
	$(CC) $(CFLAGS) $(EXTRA_CFLAGS) -c -o $@ $<

clean:
	rm -f runvrf runvrf.o

distclean: clean

=== debian/changelog ===
vrf (1.0-cl4.3.1u4) RELEASED; urgency=medium

  * new build for 4.3.1 from original hash
    d8f84e647eca8da5a9a2ad38f8b48bfbbb1801f1

 -- root <root@7490f848894d>  Wed, 15 Jun 2022 22:44:43 +0000

vrf (1.0-cl4.2.1+u1) CumulusLinux-4; urgency=medium

  [ Alexander Petrovskiy ]
  * vrf-dns-helper: change FIB rule to match iif loopback
  * dns-watcher.py: fix ip rule parsing to support iif flag

  [ Benjamin Poirier ]
  * Add docker to services in mgmt vrf

 -- Cumulus Networks <dev-support@cumulusnetworks.com>  Tue, 27 Oct 2020 09:32:41 +0900

vrf (1.0-cl4u3) CumulusLinux-4; urgency=medium

  [ Benjamin Poirier ]
  * vrf-wrapper: Remove indirection layer
  * vrf-wrapper: Check if diversion target is present
  * Fix removal of diversions during mgmt-vrf uninstall

 -- Cumulus Networks <dev-support@cumulusnetworks.com>  Wed, 03 Jun 2020 09:28:21 +0900

vrf (1.0-cl4u2) CumulusLinux-4; urgency=medium

  [ Roopa Prabhu ]
  * vrf: always call ip vrf exec in task_set

  [ Benjamin Poirier ]
  * Fix quoting in wrapper scripts
  * vrf-wrapper: Add option to bypass it

 -- Cumulus Networks <dev-support@cumulusnetworks.com>  Thu, 05 Mar 2020 09:18:49 +0900

vrf (1.0-cl4u1) RELEASED; urgency=medium

  * Updates to work with upstream capabilities
  * New.Enabled: vrf helper for ifupdown2
  * New.Enabled: Add nslcd to systemd.conf to run VRF instances

 -- Cumulus Networks <dev-support@cumulusnetworks.com>  Thu, 26 Jun 2019 11:11:30 -0700

vrf (1.0-cl3u11) RELEASED; urgency=medium

  * Closes: CM-21038: handle no resolv.conf file (again)

 -- Cumulus Networks <dev-support@cumulusnetworks.com>  Fri, 18 May 2018 11:43:51 -0700

vrf (1.0-cl3u10) RELEASED; urgency=medium

  * Closes: CM-15876: Add protocol and port to rule forcing DNS traffic to VRF 
  * New.Enabled: Handle systemd services running in vrf as non-root

 -- Cumulus Networks <dev-support@cumulusnetworks.com>  Mon, 09 Apr 2018 13:13:47 -0700

vrf (1.0-cl3u9) RELEASED; urgency=medium

  * Closes: CM-19027: correctly match Exec lines with equal signs

 -- Cumulus Networks <dev-support@cumulusnetworks.com>  Fri, 01 Dec 2017 08:14:40 -0800

vrf (1.0-cl3u8) RELEASED; urgency=medium

  * Closes: CM-16862: use %i for systemd instance names

 -- Cumulus Networks <dev-support@cumulusnetworks.com>  Fri, 04 Aug 2017 13:06:30 -0800

vrf (1.0-cl3u7) RELEASED; urgency=medium

  * New.Enabled: support VRF context on DNS entries
  * New.Enabled: netqd and netq-notifier added to systemd.conf to run VRF instances

 -- Cumulus Networks <dev-support@cumulusnetworks.com>  Fri, 14 Apr 2017 11:51:32 -0800

vrf (1.0-cl3u6) RELEASED; urgency=medium

  * Closes: CM-13526: Add hsflowd to systemd.conf to run VRF instances
  * Closes: CM-12912: Add netq-agent to systemd.conf to run VRF instances

 -- Cumulus Networks <dev-support@cumulusnetworks.com>  Mon, 28 Nov 2016 09:57:32 -0700

vrf (1.0-cl3u5) RELEASED; urgency=medium

  * Closes: CM-12332: Remove extra mgmt keyword from usage
  * Closes: CM-12564: dhclient exit hook needs to work for all vrfs

 -- Cumulus Networks <dev-support@cumulusnetworks.com>  Tue, 18 Oct 2016 14:23:58 -0700

vrf (1.0-cl3u4) RELEASED; urgency=medium

  * Closes: CM-11754: Add support for zabbix-agent in Management VRF
  * Closes: CM-12040: Handle non-existent resolv.conf
  * New.Enabled: Handle existing systemd override files

 -- Cumulus Networks <dev-support@cumulusnetworks.com>  Fri, 29 Jul 2016 08:21:55 -0700

vrf (1.0-cl3u3) RELEASED; urgency=medium

  * Closes CM-11597: ntp does not auto start after reboot although ntp@mgmt
                     service is enabled
  * Closes CM-11386: Default Route is not resolved for mgmt vrf on vagrant kvm setup
  * Closes CM-11347: ping inside vtysh for Quagga asks for sudo password
  * Closes CM-11286: ssh does not start when ListenAddress flag is set in
                     sshd_config and VRF configured
  * New.Enabled: Support for sysv init-based programs running in a vrf context

 -- Cumulus Networks <dev-support@cumulusnetworks.com>  Wed, 29 Jun 2016 17:29:48 -0700

vrf (1.0-cl3u2) RELEASED; urgency=medium

  * New.Enabled: systemd-based services via <service>@<vrf> notation
  * New.Enabled: vrf helper for ifupdown2
  * New.Enabled: Set management VRF context on login via libpam-script
  * New.Inactive: DNS-Watcher to monitor changes to resolv.conf
  * New.Deprecated: cl-mgmtvrf is deprecated. Will remove in future release
  * Various cleanups for first release

 -- Cumulus Networks <dev-support@cumulusnetworks.com>  Wed, 04 May 2016 12:46:48 -0700

vrf (1.0-cl3u1) unstable; urgency=low

  * Initial beta release.

 -- Cumulus Networks <dev-support@cumulusnetworks.com>  Tue, 01 Mar 2016 22:04:12 -0800

=== debian/control ===
Source: vrf
Section: net
Priority: optional
Maintainer: dev-support <dev-support@cumulusnetworks.com>
Build-Depends: debhelper (>=9),
 libnl-3-dev, libnl-route-3-dev, libnl-3-200, libnl-route-3-200
Standards-Version: 3.9.6
Homepage: http://www.cumulusnetworks.com
XS-Build-Source: True
XS-Cumulus-Valid-Arch: amd64 armel
XBCS-Vcs-Hash: d8f84e647eca8da5a9a2ad38f8b48bfbbb1801f1

Package: vrf
Architecture: any
Depends: iproute2, libcap2-bin
Description: Linux tools for VRF
 This package provides tools for configuring and using the VRF
 (Virtual Routing and Forwarding) feature in Linux.
XBCS-Vcs-Hash: d8f84e647eca8da5a9a2ad38f8b48bfbbb1801f1

Package: mgmt-vrf
Architecture: all
Depends: vrf, python, libpam-script, ${misc:Depends}
Description: Linux tools and config for Management VRF
 This package provides tools for using the Management VRF configuration.
XBCS-Vcs-Hash: d8f84e647eca8da5a9a2ad38f8b48bfbbb1801f1

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build:
	make

%:
	dh $@


override_dh_pysupport:

override_dh_usrlocal:
